#ifndef FOODS_H
#define FOODS_H

#include "mbed.h"
#include "N5110.h"
#include "Gamepad.h"

class foods
{

public:
    foods();
    ~foods();

    void init(int x,int bulk,int velocity);
    /**
     *param N5110 @details LCD screen
     *brief Displays food on screen
     */
    void draw(N5110 &lcd);
    // accessors and mutators
    /** 
     * returns The new coordinate of foods
     * brief Updates the locations of foods
     */
    void update();
    /** 
     * returns The new coordinate of foods
     * brief Resets the locations of foods
     */
    void replace();
    /** 
     * returns The coordinate of foods
     * brief Retrieves the locations of foods
     */
    Vector2D get_locations();
    
private:

    int _bulk; // the  foods'raions
    int _x;
    int _y;
    int _velocity;
};
#endif